cgGetProgramDomain(3)

NAME
cgGetProgramDomain - get a program's domain

SYNOPSIS
  #include <Cg/cg.h>

  CGdomain cgGetProgramDomain( CGprogram program );

PARAMETERS

program
    The program.

RETURN VALUES
Returns the domain enumerant associated with program.

DESCRIPTION
cgGetProgramDomain retrieves the domain enumerant currently associated with a program. This is a convenience routine which essentially calls cgGetProgramProfile followed by cgGetProfileDomain.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PROGRAM_HANDLE_ERROR is generated if program is not a valid program handle.

HISTORY
cgGetProgramDomain was introduced in Cg 2.2.

SEE ALSO
cgGetDomain, cgGetDomainString